Bug 853014 - Human task named queries are incompatible with hibernate 4
Human task named queries are incompatible with hibernate 4
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 05:31 EDT by Maciej Swiderski
Modified: 2015-06-01 21:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Various Human Task queries were only compatible with Hibernate version 3 although both Hibernate 3 and 4 are supported. This caused an issue with limited functionality with the Human Task services; accordingly, errors such as Group Tasks not appearing on the Group Task panel in Business Central Console occurred. These compatibility issues have been resolved by enhancing functionality on both Hibernate 3 and Hibernate 4.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Swiderski 2012-08-30 05:31:45 EDT
Description of problem:
Some of the queries, especially related to group assignment of a task does not work properly on hibernate 4 due to inner join being added to the query for createdBy and/or actualOwner fields that usually don't exist for group assigned tasks
Backport of commit https://github.com/droolsjbpm/jbpm/commit/4542f85ec4af5b998151023c1f4ef6b6130d7cae from master

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
group tasks are not visible on group task panel in console

Expected results:
group tasks should be visable

Additional info:
Comment 1 Maciej Swiderski 2012-08-30 07:14:18 EDT
backported to 5.2.x branch
Comment 3 Jiri Svitak 2012-09-25 13:41:30 EDT
Verified in BRMS 5.3.1 ER1.
Comment 4 Douglas Hoffman 2012-10-23 00:09:58 EDT
Thanks for the Release Notes information. I have updated the documentation for the Doc Text section of this bug.

Thanks again,

Doug

Note You need to log in before you can comment on or make changes to this bug.